Skip to content
Last updated

title: List Workflows keywords:

  • list workflows
  • get
  • list
  • workflows

List workflows for the authenticated organization.

GEThttps://api.aitronos.com/v1/workflows

Query Parameters

external_id string optional

Filter by external ID

active_only boolean optional · Defaults to true

Return only active workflows

limit integer optional · Defaults to 100

Maximum items to return

offset integer optional · Defaults to 0

Number of items to skip


Returns

workflows array of object

List of workflows

total integer

Total count

limit integer

Page size

offset integer

Page offset

cURL
curl -X GET "https://api.aitronos.com/v1/workflows" \
  -H "X-API-Key: $FREDDY_API_KEY"

Response:

200 OK
{
  "workflows": [
    {
      "id": "flow_abc123def456",
      "organization_id": "org_abc123def456",
      "name": "My Resource",
      "definition": {},
      "version": 1,
      "is_active": true,
      "created_at": 1731667800,
      "updated_at": 1731667800
    }
  ],
  "total": 42,
  "limit": 50,
  "offset": 0
}